org.kie.api.pmml

## Class PMML4Data<T>

- java.lang.Object
- - org.kie.api.pmml.PMML4Data<T>

- All Implemented Interfaces:
    PMML4DataType

      public abstract class PMML4Data<T>
      extends Object
      implements PMML4DataType

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PMML4Data(String correlationId, String name, String context, boolean placeholder)`
    `protected` | `PMML4Data(String correlationId, String name, String context, String displayName, T value)`
    `protected` | `PMML4Data(String correlationId, String name, String context, String displayName, T value, Double weight)`
    `protected` | `PMML4Data(String correlationId, String name, String context, String displayName, T value, Double weight, Boolean valid, Boolean missing)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getCapitalizedName()`
    `String` | `getContext()`
    `String` | `getCorrelationId()`
    `String` | `getDisplayValue()`
    `String` | `getName()`
    `T` | `getValue()`
    `Class<?>` | `getValueClass()`
    `Double` | `getWeight()`
    `int` | `hashCode()`
    `boolean` | `isMissing()`
    `boolean` | `isPlaceholder()`
    `boolean` | `isValid()`
    `void` | `setContext(String context)`
    `void` | `setCorrelationId(String correlationId)`
    `void` | `setDisplayValue(String displayValue)`
    `void` | `setMissing(boolean missing)`
    `void` | `setName(String name)`
    `void` | `setPlaceholder(Boolean placeholder)`
    `void` | `setValid(boolean valid)`
    `void` | `setValue(T value)`
    `void` | `setWeight(Double weight)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.pmml.PMML4DataType

      `registerWithDataFactory`

- - ### Constructor Detail

    - #### PMML4Data

          protected PMML4Data(String correlationId,
                              String name,
                              String context,
                              boolean placeholder)

    - #### PMML4Data

          protected PMML4Data(String correlationId,
                              String name,
                              String context,
                              String displayName,
                              T value)

    - #### PMML4Data

          protected PMML4Data(String correlationId,
                              String name,
                              String context,
                              String displayName,
                              T value,
                              Double weight)

    - #### PMML4Data

          protected PMML4Data(String correlationId,
                              String name,
                              String context,
                              String displayName,
                              T value,
                              Double weight,
                              Boolean valid,
                              Boolean missing)

  - ### Method Detail

    - #### getValue

          public T getValue()

    - #### setValue

          public void setValue(T value)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getCapitalizedName

          public String getCapitalizedName()

    - #### isValid

          public boolean isValid()

    - #### setValid

          public void setValid(boolean valid)

    - #### isMissing

          public boolean isMissing()

    - #### setMissing

          public void setMissing(boolean missing)

    - #### getContext

          public String getContext()

    - #### setContext

          public void setContext(String context)

    - #### getDisplayValue

          public String getDisplayValue()

    - #### setDisplayValue

          public void setDisplayValue(String displayValue)

    - #### getWeight

          public Double getWeight()

    - #### setWeight

          public void setWeight(Double weight)

    - #### getValueClass

          public Class<?> getValueClass()

    - #### isPlaceholder

          public boolean isPlaceholder()

    - #### setPlaceholder

          public void setPlaceholder(Boolean placeholder)

    - #### getCorrelationId

          public String getCorrelationId()

    - #### setCorrelationId

          public void setCorrelationId(String correlationId)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.